JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const response = await client.campaigns.resendBrandVerificationMessage(
'acct_01j9a43avnfqzbjfch6pygv1td',
);
console.log(response.status);import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
response = client.campaigns.resend_brand_verification_message(
"acct_01j9a43avnfqzbjfch6pygv1td",
)
print(response.status)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/surge-go"
"github.com/stainless-sdks/surge-go/option"
)
func main() {
client := surge.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Campaigns.ResendBrandVerificationMessage(context.TODO(), "acct_01j9a43avnfqzbjfch6pygv1td")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Status)
}
require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
response = surge.campaigns.resend_brand_verification_message("acct_01j9a43avnfqzbjfch6pygv1td")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Surge\Client;
use Surge\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('SURGE_API_KEY') ?: 'My API Key');
try {
$response = $client->campaigns->resendBrandVerificationMessage(
'acct_01j9a43avnfqzbjfch6pygv1td'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}curl --request POST \
--url https://api.surge.app/accounts/{account_id}/brand_verification_messages \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.post("https://api.surge.app/accounts/{account_id}/brand_verification_messages")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "enqueued"
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Campaigns
Resend brand verification OTP
Enqueues an SMS OTP for a sole proprietor brand awaiting identity verification.
POST
/
accounts
/
{account_id}
/
brand_verification_messages
JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const response = await client.campaigns.resendBrandVerificationMessage(
'acct_01j9a43avnfqzbjfch6pygv1td',
);
console.log(response.status);import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
response = client.campaigns.resend_brand_verification_message(
"acct_01j9a43avnfqzbjfch6pygv1td",
)
print(response.status)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/surge-go"
"github.com/stainless-sdks/surge-go/option"
)
func main() {
client := surge.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Campaigns.ResendBrandVerificationMessage(context.TODO(), "acct_01j9a43avnfqzbjfch6pygv1td")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Status)
}
require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
response = surge.campaigns.resend_brand_verification_message("acct_01j9a43avnfqzbjfch6pygv1td")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Surge\Client;
use Surge\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('SURGE_API_KEY') ?: 'My API Key');
try {
$response = $client->campaigns->resendBrandVerificationMessage(
'acct_01j9a43avnfqzbjfch6pygv1td'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}curl --request POST \
--url https://api.surge.app/accounts/{account_id}/brand_verification_messages \
--header 'Authorization: Bearer <token>'HttpResponse<String> response = Unirest.post("https://api.surge.app/accounts/{account_id}/brand_verification_messages")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "enqueued"
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The account whose brand verification OTP should be sent.
Example:
"acct_01j9a43avnfqzbjfch6pygv1td"
Response
Brand verification OTP send enqueued
Response when a brand verification OTP send has been enqueued
Indicates the OTP send job was enqueued successfully.
Available options:
enqueued ⌘I